var arrHead = {};
var bodyList = {};
$(document).ready(function(){

});
function TransferString(content)
{
    var string = content;
    try{
        string=string.replace(/\r\n/g,"#");
        string=string.replace(/\n/g,"#");
    }catch(e) {
        alert(e.message);
    }
    return string;
}

function query(){
    var tableName = $("#tableName").val();
    var rowKey = $("#rowKey").val();
    var style = $("#source_style").val();
    var tbody=$("#context_body_manager");
    console.log(tbody);
    var thead=$("#context_body_header");
    var select=$("#source_style").val();
    thead.css("text-align","center");
    thead.css("font-size","25px");
    if(tableName == ""){
        alertui("表名不可以为空，请确认!");
        return false;
    }
    if(rowKey == ""){
        alertui("rowKey不可以为空，请确认!");
        return false;
    }
    if(select=="bd"){
        tbody.empty();
        thead.empty();
        if(tableName=="被保险人"){
            if(rowKey=="保单清单"){
                thead.html("保单清单");
                for(var i=0;i<data.insured.policy.length;i++){
                    var td1="<td>"+data.insured.policy[i]+"</td>";
                    var td2="<td>"+data.insured.p_data[i]+"</td>";
                    var tr="<tr>"+td1+td2+"</tr>";
                    tbody.append(tr);
                }
            }
            if(rowKey=="赔案清单"){
                thead.html("赔案清单");
                for(var i=0;i<data.insured.clain.length;i++){
                    var td1="<td>"+data.insured.clain[i]+"</td>";
                    var td2="<td>"+data.insured.c_data[i]+"</td>";
                    var tr="<tr>"+td1+td2+"</tr>";
                    tbody.append(tr);
                }
            }
        }
        if(tableName=="投保人"){
            if(rowKey=="保单清单"){
                thead.html("保单清单");
                for(var i=0;i<data.applicant.policy.length;i++){
                    var td1="<td>"+data.applicant.policy[i]+"</td>";
                    var td2="<td>"+data.applicant.p_data[i]+"</td>";
                    var tr="<tr>"+td1+td2+"</tr>";
                    tbody.append(tr);
                }
            }
            if(rowKey=="赔案清单"){
                thead.html("赔案清单");
                for(var i=0;i<data.applicant.clain.length;i++){
                    var td1="<td>"+data.applicant.clain[i]+"</td>";
                    var td2="<td>"+data.applicant.c_data[i]+"</td>";
                    var tr="<tr>"+td1+td2+"</tr>";
                    tbody.append(tr);
                }
            }
        }
        if(tableName=="领款人"){
            if(rowKey=="赔案清单"){
                thead.html("赔案清单");
                for(var i=0;i<data.payee.clain.length;i++){
                    var td1="<td>"+data.payee.clain[i]+"</td>";
                    var td2="<td>"+data.payee.c_data[i]+"</td>";
                    var tr="<tr>"+td1+td2+"</tr>";
                    tbody.append(tr);
                }
            }
        }
    }

    // $.ajax({
    //     url : "executeHbase.do",
    //     async : false,
    //     dataType:"json",
    //     type : "post",
    //     data : {
    //         tableName:tableName,
    //         rowKey:rowKey,
    //         style:style
    //     },
    //     success : function(data) {
    //         if(data.result == "success" && style == "bd"){
    //             $("#context_body_header").html("");
    //             $("#context_body_manager").html("");
    //             var contextHead = "";
    //             var contextBody = "";
    //             arrHead = data.arrHead;
    //             bodyList = data.bodyList;
    //             var length = data.length;
    //             if(arrHead != null){
    //                 for (var j = 0; j < arrHead.length; j++) {
    //                     var colHead = arrHead[j];
    //                     contextHead += "<th>"+colHead+"</th>";
    //                 }
    //                 $("#context_body_header").html(contextHead);
    //             }
    //
    //             if(bodyList != null){
    //                 for (var i = 0; i < bodyList.length; i++) {
    //                     var bodyHead = bodyList[i];
    //                     contextBody += "<tr>";
    //                     for(var n=0;n<length;n++){
    //                         contextBody += "<td>"+bodyHead[n]+"</td>";
    //                     }
    //                     contextBody += "</tr>";
    //                 }
    //                 $("#context_body_manager").html(contextBody);
    //             }
    //         }else if(data.result == "success" && style == "jb"){
    //             var contextHeadjson = "<th>"+"脚本信息"+"</th>";
    //             var contextBodyjson = data.records;
    //
    //             $("#context_body_header").html(contextHeadjson);
    //             $("#context_body_manager").html(contextBodyjson);
    //
    //         }else {
    //             $("#context_body_header").html("");
    //             $("#context_body_manager").html("");
    //             var message = data.message;
    //             $(".modal-body").html(message);
    //             $("#myModal").attr("style","display: block;z-index: 9999;");
    //             $("#myModal").modal("show");
    //         }
    //     }
    // });
}

function resetSelect(){
    $("#tableName").val("");
    $("#rowKey").val("");
    $("#context_body_header").html("");
    $("#context_body_manager").html("");
}